Subject: Re: [Hipsec] Spencer Dawkins' No Objection on draft-ietf-hip-rfc5203-bis-10: (with COMMENT)

From: Julien Laganier <[email-masked]>
Date: Fri, 5 Aug 2016 09:36:10 -0700

Hi Spencer,

I just realized looking at the IESG record for the draft that I didn't
answer your comment, sorry.

I don't remember how we ended up with writing this as a SHOULD NOT
(e.g., as opposed to a MUST NOT),  but at least the SHOULD NOT does
not negatively affect interoperability since, at the end of the day,
the registrar has the final word, whether it decides to grant a
lifetime that's in the advertised interval, or grant the out-of-bound
lifetime that was requested, and the granted lifetime value is
communicated over to the requester in the REG_RESPONSE.

--julien

On Wed, Jul 6, 2016 at 2:08 PM, Spencer Dawkins
<[email-masked]> wrote:
> Spencer Dawkins has entered the following ballot position for
> draft-ietf-hip-rfc5203-bis-10: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-hip-rfc5203-bis/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> This bis draft was an improvement. I did have one question.
>
> I'm trying to visualize why
>
>    The registrar indicates the minimum and maximum registration lifetime
>    that it is willing to offer to a requester.  A requester SHOULD NOT
>    request registration with lifetime greater than the maximum
>    registration lifetime or smaller than the minimum registration
>    lifetime.
>
> is a SHOULD NOT - why would a requester choose to disregard the SHOULD
> and send a request registration with (for example) a lifetime greater
> than the maximum registration lifetime?
>
> Is the intention for the requester to allow this, and then (for example)
> cap the lifetime at the maximum registration lifetime? Or is something
> else supposed to happen?
>
> Whatever the intention is, it might be helpful to provide an explanation
> about that.
>
>

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 15 Aug 2016 09:03:23 -0500

Hi, Julien,

> communicated over to the requester in the REG_RESPONSE.

Thanks for the feedback!

Spencer